## com.baidubce.services.lss.model
Class Recording

    java.lang.Object
      com.baidubce.services.lss.model.Recording

    public class Recording

extends Object

Constructor Summary
`Recording()`

Method Summary
`String` `getFormat()`
`Integer` `getPeriodInMinute()`
`void` `setFormat(String format)`
`void` `setPeriodInMinute(Integer periodInMinute)`
`String` `toString()`
`Recording` `withFormat(String format)`
`Recording` `withPeriodInMinute(Integer periodInMinute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Recording

    public Recording()

Method Detail

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### withFormat

    public Recording withFormat(String format)

### getPeriodInMinute

    public Integer getPeriodInMinute()

### setPeriodInMinute

    public void setPeriodInMinute(Integer periodInMinute)

### withPeriodInMinute

    public Recording withPeriodInMinute(Integer periodInMinute)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.